Bug 1393100 - Release 1.2.6-1.el6 requires perl 5.14.0 or higher, won't run
Summary: Release 1.2.6-1.el6 requires perl 5.14.0 or higher, won't run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mosh
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Alex Chernyakhovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-08 20:59 UTC by redhat-bugs
Modified: 2017-01-12 08:18 UTC (History)
2 users (show)

Fixed In Version: 1.2.6-2 mosh-1.2.6-2.el6 mosh-1.2.6-2.el5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 02:47:53 UTC
Type: Bug


Attachments (Terms of Use)

Description redhat-bugs 2016-11-08 20:59:59 UTC
Description of problem:

$ yum list mosh | grep mosh
mosh.x86_64                 1.2.6-1.el6          @epel

$ mosh dave@stargate
Perl v5.14.0 required--this is only v5.10.1, stopped at /usr/bin/mosh line 33.
BEGIN failed--compilation aborted at /usr/bin/mosh line 33.


Version-Release number of selected component (if applicable): 1.2.6-1.el6


How reproducible:


Steps to Reproduce:
1. sudo yum -y install mosh
2. mosh $USER@$SYSTEM


Actual results:

Perl v5.14.0 required--this is only v5.10.1, stopped at /usr/bin/mosh line 33.
BEGIN failed--compilation aborted at /usr/bin/mosh line 33.

Expected results:

user@system $

Additional info:

Issue was not present in 1.2.4-1.el6.

Comment 1 Anders Kaseorg 2016-11-10 10:11:41 UTC
Patch: https://github.com/mobile-shell/mosh/pull/825

Comment 2 Fedora Update System 2016-11-13 19:50:38 UTC
mosh-1.2.6-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-edd86b3f94

Comment 3 Fedora Update System 2016-11-13 19:51:04 UTC
mosh-1.2.6-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62c747e0d8

Comment 4 Fedora Update System 2016-11-15 01:16:48 UTC
mosh-1.2.6-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62c747e0d8

Comment 5 Fedora Update System 2016-11-15 01:20:01 UTC
mosh-1.2.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-edd86b3f94

Comment 6 Fedora Update System 2017-01-12 02:47:53 UTC
mosh-1.2.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-01-12 08:18:48 UTC
mosh-1.2.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.